function [ztrata u y b P]=triv(regulator_parameters,system,apriori,seed)

horizont=regulator_parameters.horizont;
prvni_faze=1;
druha_faze=horizont-prvni_faze;

y=zeros(1,horizont);
b=zeros(1,prvni_faze+1);
P=zeros(1,prvni_faze+1);
u=zeros(1,horizont-1);
ztrata=0;

y(1)=apriori(1);
b(1)=apriori(2);
P(1)=apriori(3);

u(1)=10*system.sigma*randn;
y(2)=y(1)+u(1)*system.b+system.sigma*seed(1);
ztrata=ztrata+(y(1)-system.yr(1))^2;
b_1=(y(2)-y(1))/u(1);

for i=1:druha_faze-1
    u(i+prvni_faze)=(system.yr(i+prvni_faze)-y(i+prvni_faze))/b_1;
    y(i+1+prvni_faze)=y(i+prvni_faze)+system.b*u(i+prvni_faze)+system.sigma*seed(i+prvni_faze);
    ztrata=ztrata+(y(i+1+prvni_faze)-system.yr(i+1+prvni_faze))^2;
end

end